using System;
using System.Collections.Generic;
using System.Text;
using System.Net;

namespace DesktopText
{
	public class LoginInfo
	{
		private string _loginTarget;
		private NetworkCredential _credentials;
		private bool _passwordSpecified;

		public LoginInfo(string loginTarget, string userName, string userDomain)
		{
			_loginTarget = loginTarget;
			_credentials = new NetworkCredential();
			_credentials.UserName = userName;
			_credentials.Domain = userDomain;
			_passwordSpecified = false;
		}
		public NetworkCredential Credentials
		{
			get { return _credentials; }
		}
		public string Target
		{
			get { return _loginTarget; }
		}
		public bool PasswordSpecified
		{
			get { return _passwordSpecified; }
			set { _passwordSpecified = value; }
		}
	}
}
